# Uses of Interface
org.xnio.Pool

Packages that use Pool
Package
Description
org.xnio
The main API package for XNIO.

## Uses of Pool in org.xnio

Classes in org.xnio that implement Pool
Modifier and Type
Class
Description
`final class`
`ByteBufferSlicePool`
Deprecated.
See `ByteBufferPool`.
Fields in org.xnio declared as Pool
Modifier and Type
Field
Description
`static final Pool<ByteBuffer>`
Pool.`DIRECT`
Deprecated.
A compatibility pool which maps to `ByteBufferPool.MEDIUM_DIRECT`.
`static final Pool<ByteBuffer>`
Pool.`HEAP`
Deprecated.
A compatibility pool which maps to `ByteBufferPool.MEDIUM_HEAP`.
Methods in org.xnio that return Pool
Modifier and Type
Method
Description
`static <B extends Buffer>
Pool<B>`
Buffers.`allocatedBufferPool(BufferAllocator<B> allocator, int size)`
A buffer pool which allocates a new buffer on every allocate request, and discards buffers on free.
`static Pool<ByteBuffer>`
Buffers.`secureBufferPool(Pool<ByteBuffer> delegate)`
A byte buffer pool which zeroes the content of the buffer before re-pooling it.
Methods in org.xnio with parameters of type Pool
Modifier and Type
Method
Description
`static <I extends StreamSourceChannel, O extends StreamSinkChannel>
void`
ChannelListeners.`initiateTransfer(long count, I source, O sink, ChannelListener<? super I> sourceListener, ChannelListener<? super O> sinkListener, ChannelExceptionHandler<? super I> readExceptionHandler, ChannelExceptionHandler<? super O> writeExceptionHandler, Pool<ByteBuffer> pool)`
Initiate a low-copy transfer between two stream channels.
`static <I extends StreamSourceChannel, O extends StreamSinkChannel>
void`
ChannelListeners.`initiateTransfer(I source, O sink, Pool<ByteBuffer> pool)`
Initiate a low-copy transfer between two stream channels.
`static boolean`
Buffers.`isSecureBufferPool(Pool<?> pool)`
Determine whether the given pool is a secure pool.
`static Pool<ByteBuffer>`
Buffers.`secureBufferPool(Pool<ByteBuffer> delegate)`
A byte buffer pool which zeroes the content of the buffer before re-pooling it.